Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_Keyboard

Keyboard interface in ClanLib.
Contained in: global
Derived from: CL_InputDevice
Derived by: none
Group: Display (Input)

#include <ClanLib/display.h>

### public function member index:

### Construction:

``virtual`` | `~CL_Keyboard` | `()`;

### Attributes:

``static` `bool`` | `get_keycode` | `(`int` `button_no`)`;

## Description:

This is the keyboard input device interface. It contains all the extra functions needed by the keyboard, which didn't fit into the general CL_InputDevice abstraction.

## Function Member Descriptions:

CL_Keyboard::get_keycode - Returns true if the specified button is down on the keyboard.
This static function is an easier way of writing CL_Input::keyboards[0]->get_button->is_pressed();
``static` `bool`` `get_keycode` `(`int` `button_no`)`;

> button_no - Button number checked for being pressed.
> Returns - True if the key is pressed.

CL_Keyboard::~CL_Keyboard - Keyboard Destructor
``virtual`` `~CL_Keyboard` `()`;